Subject: Re: Transplanting Asperagus????

From: [email-masked] (Dick Gilman)
Date: Mon, 20 Mar 1995 19:45:58 GMT

I have read about people moving their aspargus beds.  The problem
is the root system is gigantic and it is difficult to physically
move the roots.  The person that moved basically picked them up
and put them in their new bed.  He did not have a time period for
doing the move.  But I assume it would be better to move in the
winter when the plants are dormant.